Clean up old search-box & A/B test code
Closed, ResolvedPublic5 Story Points

Description

When removing the old search box code, we left some old JS in the code:

Thankfully this doesn't seem to create any bug or conflict !

#EDIT#
I'll also add to this ticket comments mentioned here:

  • document the functionality of controller.js to note that even though some parts aren't used in production, they might be useful in the future.
  • Place all the JS code back at the bottom of the file

and

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2016, 12:53 AM
debt triaged this task as Low priority.Mar 14 2016, 2:09 PM
debt moved this task from Backlog to What's Next on the Discovery-Portal-Sprint board.
Jdrewniak renamed this task from Clean up old search-box code to Clean up old search-box & A/B test code.Apr 14 2016, 1:36 PM
Jdrewniak raised the priority of this task from Low to Normal.
Jdrewniak claimed this task.
Jdrewniak updated the task description. (Show Details)
Jdrewniak set the point value for this task to 5.
Jdrewniak updated the task description. (Show Details)Apr 15 2016, 3:42 PM
Jdrewniak updated the task description. (Show Details)Apr 15 2016, 3:45 PM

Change 284453 had a related patch set uploaded (by Jdrewniak):
T129599 Code cleanup: - removing old A/B test code - renaming A/B test files with more semantic names - documenting unused A/B test files for future reference - placing all JS at bottom of file - fixing linting error - making build fail on linting errors

https://gerrit.wikimedia.org/r/284453

Change 284453 merged by jenkins-bot:
T129599 Code cleanup: - removing old A/B test code - renaming A/B test files with more semantic names - documenting unused A/B test files for future reference - placing all JS at bottom of file - fixing linting error - making build fail on linting errors

https://gerrit.wikimedia.org/r/284453

debt closed this task as Resolved.May 5 2016, 5:13 PM
debt added a subscriber: debt.

This was released to production on May 3, 2016

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.May 5 2016, 5:21 PM